@import url('https://fonts.googleapis.com/css?family=Acme|Corben|Lobster|MedievalSharp|Merienda|Righteous');

*{
  margin: 0;
  padding: 0;
  outline: none;
}
body {
  margin: 0;
  padding: 0;
  font-family: sans-serif;
}
header{
  display: flex;
  justify-content: space-between;
  background-color: rgba(0, 0, 0, 0.9);
  color: white;
}
.logo{
  width: 30%;
}
.logo h1{
  text-align: center;
  padding: 20px 0px 15px 0;
}
.navigation-bar .link{
  text-decoration: none;
  font-size: 18px;
  padding: 10px 30px;
  color: white;
  border-radius: 20px;
  font-family: 'Corben', cursive;
  letter-spacing: 1px;
}
.navigation-bar .link:hover{
  background-color: #e53835c5;
}
.navigation-bar{
  width: 70%;
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.get-started button{
  position: absolute;
  top: 70%;
  left: 65%;
  border: none;
  padding: 15px 60px;
  border-radius: 10px;
  cursor: pointer;
  color: white;
  font-size: 22px;
  background-color: #2f8c21;
}
.heading{
  position: absolute;
  top: 35%;
  left: 60%;
}
.heading p{
  text-align: center;
  color: white;
  font-size: 32px;
  letter-spacing: 1px;
  font-family: 'Merienda', cursive;
}
.heading p span{
  font-size: 48px;
  font-family: 'MedievalSharp', cursive;
}
.banner img, .routine-content img{
  width: 100%;
  position: relative;
  max-height: 80vh;
  object-fit: cover;
}
.routine-content img{
  max-height: 60vh;
}
.inner-banner{
  object-fit: cover;
  position: absolute;
  top: 11.5vh;
  height: 80.5vh;
  width: 100%;
  background-image: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5));
}
.yoga, .pilates, .warmup{
  display: grid;
  width: 100%;
  grid-template-columns: 1fr 2fr 1fr;
  justify-items: center;
  align-items: center;
}
.yoga-image, .pilates-image, .warmup-image{
  object-fit: cover;
  width: 100%;
}
.routine-content{
  margin: 20px 0 100px 0;
}
.routine-content h1{
  text-align: center;
  margin: 50px 0 40px 0;
}
.sample-exercises{
  width: 100%;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr 1fr; 
  grid-gap: 30px;
  justify-items: center;
  align-items: center;
}
.sample-exercise{
  border: 2px solid black;
  width: 90%;
  height: 100%;
}
.sample-exercise img{
  object-fit: cover;
  width: 80%;
  height: 100%;
}
.registration{
  position: absolute;
  top: 45%;
  left: 53%;
  /* display: flex;
  margin: 170px auto;
  width: 80%;
  height: 100%; */
  /* justify-content: space-around;
  align-items: center; */
}
.registration button{
  border: none;
  margin: 0 50px;
  border-radius: 10px;
  padding: 15px 60px;
  font-size: 18px;
  cursor: pointer; 
  background-color: #2f8c21;
  color: white;
}
.registration button:hover{
  background-color: #2f8c21;
  color: white;
}
.login form, .signup form{
  text-align: center;
  position: absolute;
  top: 18%;
  left: 50%;
  border-radius: 10px;
  background-color: rgba(255, 255, 255, 0.2);
}
.login form{
  padding: 30px;
}
.signup form{
  padding: 15px;
  top: 2%;
  margin-top: 65px;
}
.login input, .signup input{
  border: none;
  border-bottom: 1px solid black;
  border-radius: 4px;
  background-color: rgba(255, 255, 255, 0.6);
  width: 300px;
  padding: 15px;
  margin: 0 auto;
}
.login button, .signup button, .exercise-description button, .exercise-timer button{
  text-align: center;
  border: none;
  border-radius: 10px;
  font-size: 18px;
  cursor: pointer;
}
.login-btn, .signup-btn{
  padding: 15px 110px;
  background-color: #2f8c21;
  color: white; 
}
.login-btn-oauth, .signup-btn-oauth, .exercise-description button, .exercise-timer button{
  padding: 15px 60px; 
}
.login .field, .signup .field{
  margin: 40px auto;
}
.login .field-btn, .signup .field-btn{
  margin: 20px auto;
}
.exercise-container{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 50px;
  padding: 30px;
}
.exercise{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-column-gap: 50px;
  grid-row-gap: 60px; 
  padding: 50px;
  align-items: center;
  justify-items: center;
}
.exercise-title{
  grid-column: 1 / 3;
  grid-row: 1 / 2;
}
.exercise-banner{
  grid-column: 1 / 3;
  grid-row: 2 / 4;
}
.exercise-banner img{
  max-height: 300px;
}
.exercise-description{
  text-align: center;
  grid-column: 3 / 6;
  grid-row: 1 / 3;
}
.exercise-timer{
  text-align: center;
  grid-column: 3 / 6;
  grid-row: 3 / 4;
}
.exercise-timer button{
  margin-top: 20px;
}
.steps-header{
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 20px;
}
.steps-text{
  font-size: 16px;
  margin-bottom: 30px
}
.contact-submit-button {
  width: 100%;
  background-color: #4396cb;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}
.contact-input-tag{
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

.contact-form-contianer{
  display: flex;
  justify-content: center;
}
.contact-header1-tag{
  text-align: center;
  margin: 3%;
}
footer{
  margin-top: -4px;
  text-align: center;
  height: 100px;
  padding-top: 20px;
  background-color: rgba(0, 0, 0, 0.9);
}
footer p{
  font-size: 18px;
  color: white;
  font-family: 'Corben', cursive;
}